device(1).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(2).
job(3).
job(4).
job(5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
job(13).
job(14).
job(15).
job(16).
job(17).
job(18).
job(19).
job(20).
job(21).
job(22).
job(23).
job(24).
job(25).
job(26).
job(27).
job(28).
job(29).
job(30).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
precedes(13,14).
precedes(1,2).
precedes(2,3).
precedes(4,5).
precedes(5,6).
job_len(14,8).
job_len(13,3).
job_len(12,13).
job_len(11,5).
job_len(10,15).
job_len(9,3).
job_len(8,11).
job_len(7,4).
job_len(6,7).
job_len(5,17).
job_len(4,15).
precedes(14,15).
precedes(16,17).
precedes(17,18).
precedes(19,20).
precedes(20,21).
precedes(22,23).
precedes(23,24).
precedes(25,26).
precedes(26,27).
precedes(28,29).
precedes(29,30).
importance(30,3).
importance(29,1).
importance(28,1).
importance(27,3).
importance(26,3).
importance(25,1).
importance(24,1).
importance(23,2).
importance(22,3).
importance(21,2).
importance(20,3).
importance(19,2).
importance(18,3).
importance(17,3).
importance(16,1).
importance(15,3).
importance(14,1).
importance(13,2).
importance(12,1).
importance(11,2).
importance(10,2).
importance(9,3).
importance(8,3).
importance(7,3).
importance(6,3).
importance(5,2).
importance(4,1).
importance(3,3).
importance(2,3).
importance(1,3).
job_device(1,1).
job_device(4,2).
job_device(7,2).
job_device(10,1).
job_device(13,2).
job_device(16,2).
job_device(19,2).
job_device(22,1).
job_device(25,1).
job_device(28,2).
job_device(2,3).
job_device(5,3).
job_device(8,4).
job_device(11,4).
job_device(14,3).
job_device(17,3).
job_device(20,4).
job_device(23,3).
job_device(26,3).
job_device(29,4).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_device(15,5).
job_device(18,5).
job_device(21,5).
job_device(24,5).
job_device(27,5).
job_device(30,5).
job_len(30,14).
job_len(29,20).
job_len(28,9).
job_len(27,16).
job_len(26,11).
job_len(25,13).
job_len(24,9).
job_len(23,20).
job_len(22,8).
job_len(21,4).
job_len(20,13).
job_len(19,8).
job_len(18,7).
job_len(17,17).
job_len(16,19).
job_len(15,10).
job_len(3,3).
job_len(2,11).
job_len(1,7).
deadline(3,27).
deadline(6,13).
deadline(9,36).
deadline(12,28).
deadline(15,23).
deadline(18,14).
deadline(21,34).
deadline(24,38).
deadline(27,28).
deadline(30,20).
max_total_penalty(1166).
curr_job_start(27,24).
curr_job_start(21,72).
curr_job_start(18,40).
curr_job_start(12,59).
curr_job_start(9,49).
curr_job_start(6,52).
curr_job_start(20,49).
curr_job_start(11,15).
curr_job_start(8,38).
curr_job_start(26,13).
curr_job_start(17,19).
curr_job_start(5,34).
curr_job_start(19,38).
curr_job_start(16,0).
curr_job_start(7,34).
curr_job_start(4,19).
curr_job_start(25,0).
curr_job_start(10,0).
curr_on_instance(27,1).
curr_on_instance(26,1).
curr_on_instance(25,2).
curr_on_instance(21,1).
curr_on_instance(20,1).
curr_on_instance(19,1).
curr_on_instance(18,1).
curr_on_instance(17,2).
curr_on_instance(16,1).
curr_on_instance(12,1).
curr_on_instance(11,1).
curr_on_instance(10,1).
curr_on_instance(9,1).
curr_on_instance(8,1).
curr_on_instance(7,1).
curr_on_instance(6,1).
curr_on_instance(5,1).
curr_on_instance(4,1).
curr_time(41).
max_value(1276).

